OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.VertexBlend

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBVertexBlend :: MonadIO m => m Bool
- gl_ARB_vertex_blend :: Bool
- pattern GL_ACTIVE_VERTEX_UNITS_ARB :: GLenum
- pattern GL_CURRENT_WEIGHT_ARB :: GLenum
- pattern GL_MAX_VERTEX_UNITS_ARB :: GLenum
- pattern GL_MODELVIEW0_ARB :: GLenum
- pattern GL_MODELVIEW10_ARB :: GLenum
- pattern GL_MODELVIEW11_ARB :: GLenum
- pattern GL_MODELVIEW12_ARB :: GLenum
- pattern GL_MODELVIEW13_ARB :: GLenum
- pattern GL_MODELVIEW14_ARB :: GLenum
- pattern GL_MODELVIEW15_ARB :: GLenum
- pattern GL_MODELVIEW16_ARB :: GLenum
- pattern GL_MODELVIEW17_ARB :: GLenum
- pattern GL_MODELVIEW18_ARB :: GLenum
- pattern GL_MODELVIEW19_ARB :: GLenum
- pattern GL_MODELVIEW1_ARB :: GLenum
- pattern GL_MODELVIEW20_ARB :: GLenum
- pattern GL_MODELVIEW21_ARB :: GLenum
- pattern GL_MODELVIEW22_ARB :: GLenum
- pattern GL_MODELVIEW23_ARB :: GLenum
- pattern GL_MODELVIEW24_ARB :: GLenum
- pattern GL_MODELVIEW25_ARB :: GLenum
- pattern GL_MODELVIEW26_ARB :: GLenum
- pattern GL_MODELVIEW27_ARB :: GLenum
- pattern GL_MODELVIEW28_ARB :: GLenum
- pattern GL_MODELVIEW29_ARB :: GLenum
- pattern GL_MODELVIEW2_ARB :: GLenum
- pattern GL_MODELVIEW30_ARB :: GLenum
- pattern GL_MODELVIEW31_ARB :: GLenum
- pattern GL_MODELVIEW3_ARB :: GLenum
- pattern GL_MODELVIEW4_ARB :: GLenum
- pattern GL_MODELVIEW5_ARB :: GLenum
- pattern GL_MODELVIEW6_ARB :: GLenum
- pattern GL_MODELVIEW7_ARB :: GLenum
- pattern GL_MODELVIEW8_ARB :: GLenum
- pattern GL_MODELVIEW9_ARB :: GLenum
- pattern GL_VERTEX_BLEND_ARB :: GLenum
- pattern GL_WEIGHT_ARRAY_ARB :: GLenum
- pattern GL_WEIGHT_ARRAY_POINTER_ARB :: GLenum
- pattern GL_WEIGHT_ARRAY_SIZE_ARB :: GLenum
- pattern GL_WEIGHT_ARRAY_STRIDE_ARB :: GLenum
- pattern GL_WEIGHT_ARRAY_TYPE_ARB :: GLenum
- pattern GL_WEIGHT_SUM_UNITY_ARB :: GLenum
- glVertexBlendARB :: MonadIO m => GLint -> m ()
- glWeightPointerARB :: MonadIO m => GLint -> GLenum -> GLsizei -> Ptr a -> m ()
- glWeightbvARB :: MonadIO m => GLint -> Ptr GLbyte -> m ()
- glWeightdvARB :: MonadIO m => GLint -> Ptr GLdouble -> m ()
- glWeightfvARB :: MonadIO m => GLint -> Ptr GLfloat -> m ()
- glWeightivARB :: MonadIO m => GLint -> Ptr GLint -> m ()
- glWeightsvARB :: MonadIO m => GLint -> Ptr GLshort -> m ()
- glWeightubvARB :: MonadIO m => GLint -> Ptr GLubyte -> m ()
- glWeightuivARB :: MonadIO m => GLint -> Ptr GLuint -> m ()
- glWeightusvARB :: MonadIO m => GLint -> Ptr GLushort -> m ()

# Extension Support

glGetARBVertexBlend :: MonadIO m => m Bool Source #

Is the ARB_vertex_blend extension supported?

gl_ARB_vertex_blend :: Bool Source #

Is the ARB_vertex_blend extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBVertexBlend` in those cases instead.

# Enums

pattern GL_ACTIVE_VERTEX_UNITS_ARB :: GLenum Source #

pattern GL_CURRENT_WEIGHT_ARB :: GLenum Source #

pattern GL_MAX_VERTEX_UNITS_ARB :: GLenum Source #

pattern GL_MODELVIEW0_ARB :: GLenum Source #

pattern GL_MODELVIEW10_ARB :: GLenum Source #

pattern GL_MODELVIEW11_ARB :: GLenum Source #

pattern GL_MODELVIEW12_ARB :: GLenum Source #

pattern GL_MODELVIEW13_ARB :: GLenum Source #

pattern GL_MODELVIEW14_ARB :: GLenum Source #

pattern GL_MODELVIEW15_ARB :: GLenum Source #

pattern GL_MODELVIEW16_ARB :: GLenum Source #

pattern GL_MODELVIEW17_ARB :: GLenum Source #

pattern GL_MODELVIEW18_ARB :: GLenum Source #

pattern GL_MODELVIEW19_ARB :: GLenum Source #

pattern GL_MODELVIEW1_ARB :: GLenum Source #

pattern GL_MODELVIEW20_ARB :: GLenum Source #

pattern GL_MODELVIEW21_ARB :: GLenum Source #

pattern GL_MODELVIEW22_ARB :: GLenum Source #

pattern GL_MODELVIEW23_ARB :: GLenum Source #

pattern GL_MODELVIEW24_ARB :: GLenum Source #

pattern GL_MODELVIEW25_ARB :: GLenum Source #

pattern GL_MODELVIEW26_ARB :: GLenum Source #

pattern GL_MODELVIEW27_ARB :: GLenum Source #

pattern GL_MODELVIEW28_ARB :: GLenum Source #

pattern GL_MODELVIEW29_ARB :: GLenum Source #

pattern GL_MODELVIEW2_ARB :: GLenum Source #

pattern GL_MODELVIEW30_ARB :: GLenum Source #

pattern GL_MODELVIEW31_ARB :: GLenum Source #

pattern GL_MODELVIEW3_ARB :: GLenum Source #

pattern GL_MODELVIEW4_ARB :: GLenum Source #

pattern GL_MODELVIEW5_ARB :: GLenum Source #

pattern GL_MODELVIEW6_ARB :: GLenum Source #

pattern GL_MODELVIEW7_ARB :: GLenum Source #

pattern GL_MODELVIEW8_ARB :: GLenum Source #

pattern GL_MODELVIEW9_ARB :: GLenum Source #

pattern GL_VERTEX_BLEND_ARB :: GLenum Source #

pattern GL_WEIGHT_ARRAY_ARB :: GLenum Source #

pattern GL_WEIGHT_ARRAY_POINTER_ARB :: GLenum Source #

pattern GL_WEIGHT_ARRAY_SIZE_ARB :: GLenum Source #

pattern GL_WEIGHT_ARRAY_STRIDE_ARB :: GLenum Source #

pattern GL_WEIGHT_ARRAY_TYPE_ARB :: GLenum Source #

pattern GL_WEIGHT_SUM_UNITY_ARB :: GLenum Source #

# Functions

glVertexBlendARB Source #

Arguments

:: MonadIO m |
=> GLint | `count`.
-> m () |

glWeightPointerARB Source #

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type` of type WeightPointerTypeARB.
-> GLsizei | `stride`.
-> Ptr a | `pointer` pointing to `COMPSIZE(type,stride)` elements of type `a`.
-> m () |

glWeightbvARB Source #

Arguments

:: MonadIO m |
=> GLint | `size`.
-> Ptr GLbyte | `weights` pointing to `size` elements of type `GLbyte`.
-> m () |

glWeightdvARB Source #

Arguments

:: MonadIO m |
=> GLint | `size`.
-> Ptr GLdouble | `weights` pointing to `size` elements of type `GLdouble`.
-> m () |

glWeightfvARB Source #

Arguments

:: MonadIO m |
=> GLint | `size`.
-> Ptr GLfloat | `weights` pointing to `size` elements of type `GLfloat`.
-> m () |

glWeightivARB Source #

Arguments

:: MonadIO m |
=> GLint | `size`.
-> Ptr GLint | `weights` pointing to `size` elements of type `GLint`.
-> m () |

glWeightsvARB Source #

Arguments

:: MonadIO m |
=> GLint | `size`.
-> Ptr GLshort | `weights` pointing to `size` elements of type `GLshort`.
-> m () |

glWeightubvARB Source #

Arguments

:: MonadIO m |
=> GLint | `size`.
-> Ptr GLubyte | `weights` pointing to `size` elements of type `GLubyte`.
-> m () |

glWeightuivARB Source #

Arguments

:: MonadIO m |
=> GLint | `size`.
-> Ptr GLuint | `weights` pointing to `size` elements of type `GLuint`.
-> m () |

glWeightusvARB Source #

Arguments

:: MonadIO m |
=> GLint | `size`.
-> Ptr GLushort | `weights` pointing to `size` elements of type `GLushort`.
-> m () |